com.groupdocs.conversion.converter.option

## Class CellsSaveOptions

- java.lang.Object
- - com.groupdocs.conversion.converter.option.SaveOptions
  - - com.groupdocs.conversion.converter.option.CellsSaveOptions

- All Implemented Interfaces:
    com.aspose.ms.System.ICloneable, Cloneable

      public final class CellsSaveOptions
      extends SaveOptions

  Options for to Cells conversion

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CellsSaveOptions.CellsFileType` Cells file types

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellsSaveOptions()` Create CellsSaveOptions instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.groupdocs.foundation.domain.FileType` | `getConvertFileType_CellsSaveOptions_New()` The desired file type to which the input document should be converted to
    `String` | `getPassword()` Set this property if you want to protect the converted document with a password
    `void` | `setConvertFileType_CellsSaveOptions_New(com.groupdocs.foundation.domain.FileType value)` The desired file type to which the input document should be converted to
    `void` | `setPassword(String value)` Set this property if you want to protect the converted document with a password

    - ### Methods inherited from class com.groupdocs.conversion.converter.option.SaveOptions

      `deepClone, getCadOptions, getCellsOptions, getConvertFileType, getConvertFileTypeExtension, getConvertPages, getHideComments, getHidePdfAnnotations, getHideWordTrackedChanges, getNumPagesToConvert, getPageNumber, getSaveOptionsType, getShowGridLines, getShowHiddenSheets, getUsePdf, getWatermarkOptions, memberwiseClone, setCadOptions, setCellsOptions, setConvertFileType, setConvertPages, setHideComments, setHidePdfAnnotations, setHideWordTrackedChanges, setNumPagesToConvert, setPageNumber, setSaveOptionsType, setShowGridLines, setShowHiddenSheets, setUsePdf, setWatermarkOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellsSaveOptions

          public CellsSaveOptions()

      Create CellsSaveOptions instance

  - ### Method Detail

    - #### getConvertFileType_CellsSaveOptions_New

          public com.groupdocs.foundation.domain.FileType getConvertFileType_CellsSaveOptions_New()

      The desired file type to which the input document should be converted to

      Returns:

    - #### setConvertFileType_CellsSaveOptions_New

          public void setConvertFileType_CellsSaveOptions_New(com.groupdocs.foundation.domain.FileType value)

      The desired file type to which the input document should be converted to

      Parameters:
        `value` -

    - #### getPassword

          public String getPassword()

      Set this property if you want to protect the converted document with a password

      Returns:

    - #### setPassword

          public void setPassword(String value)

      Set this property if you want to protect the converted document with a password

      Parameters:
        `value` -

Copyright © 2018. All rights reserved.